Package weka.gui.graphvisualizer

# Class LayoutCompleteEvent

java.lang.Object
java.util.EventObject
weka.gui.graphvisualizer.LayoutCompleteEvent

All Implemented Interfaces:
  `Serializable`

public class LayoutCompleteEvent extends EventObject
This is an event which is fired by a LayoutEngine once a LayoutEngine finishes laying out the graph, so that the Visualizer can repaint the screen to show the changes.

Version:
  $Revision: 1.5 $ - 24 Apr 2003 - Initial version (Ashraf M. Kibriya)
Author:
  Ashraf M. Kibriya (amk14@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LayoutCompleteEvent(Object source)`

## Method Summary

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LayoutCompleteEvent

public LayoutCompleteEvent(Object source)